package com.paymentgateway.swipeexample;

import java.io.IOException;
import java.net.MalformedURLException;
import java.net.URL;

import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.util.EntityUtils;

import android.app.ProgressDialog;
import android.util.Log;
import android.view.View;

public class SendToGateway implements Runnable{
    
    private String transaction;
    ProgressDialog authProgressDialog;
    String response = null;
    
    public void run() {
        sendTransaction();
        authProgressDialog.dismiss();
    }
    
    public SendToGateway(String query, View v) {
        this.transaction = query;
        authProgressDialog = ProgressDialog.show(v.getContext(), "", "Processing...");
    }
    
    public void sendTransaction() {
        URL url;
        try {
            //Create request url with query string passed from activity
            String address = new String("https://secure.safewebservices.com/api/transact.php?");
            url = new URL(address + this.transaction);
            
            //create connection
            HttpClient httpclient = new DefaultHttpClient();
            httpclient.getParams().setIntParameter("http.socket.timeout", Integer.valueOf(60000));
            HttpPost httppost = new HttpPost(url.toString());

            // Execute HTTP Post Request
            HttpResponse hrResponse = httpclient.execute(httppost);
            HttpEntity entity = hrResponse.getEntity();
            
            this.response = EntityUtils.toString(entity);
            Log.v("response", this.response);
            
            /*
             * At this point, you can read/parse the response and decide what should be done.
             */
            
        } catch (MalformedURLException e) {
            // TODO Auto-generated catch block
            e.printStackTrace();
        } catch (IOException e) {
            // TODO Auto-generated catch block
            e.printStackTrace();
        }
    }
}
